OBJ

  servo : "Servo32v3"
  uart  : "Extended_FDSerial"
  text  : "tv_text"
  conv  : "libraryEngine"
  
CON

  _clkmode = xtal1 + pll16x                                                     'Sets clock to 16x input
  _xinfreq = 5_000_000                                                          'Sets clock to 80MHz (16x 5_000_000)

  throttlePin = 4                                                              'Sets pin to ESC on prop

VAR

  long uartPulse, pulse
  byte inBuffer[20]
  
PUB Main | oldPulse, index 

  uart.start(31, 30, 0, 115200)                                                   'Start FDS object for recieving data from com port
  servo.set(throttlePin, 2200)                                                  'Initializing ESC to full brake
  servo.start
  text.start(12)

  text.str(String("Starting ESC intialization", 13))
  conv.pauseForSeconds(7)
  text.str(String("ESC intialization complete", 13))
  conv.pauseForSeconds(1)
  text.str(String("Begin Loop", 13))

  repeat

    repeat index from 0 to  4
      inBuffer[index] := uart.rx

    uartPulse := conv.hexidecimalToNumber(@inBuffer[0])

      text.Str(uartPulse)
      text.Out(13)