﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO.Ports;

namespace IMUDisplay
{
    public partial class Form1 : Form
    {
        //Variables
       
        public Form1()
        {
            InitializeComponent();
        }//End constructor

        private void startBTN_Click(object sender, EventArgs e)
        {
            //byte[] bs_Throttle = ASCIIEncoding.Default.GetBytes("Hello World\n");
            //string gretting = "Hello World\n";
            /*serialPort1.PortName = "COM4";
            serialPort1.BaudRate = 115200;
            serialPort1.DataBits = 8;
            serialPort1.Parity = Parity.None;
            serialPort1.StopBits = StopBits.One;*/
            //serialPort1.Encoding = Encoding.ASCII;
            serialPort1.Open();

            if (serialPort1.IsOpen)
            {
                startBTN.Enabled = false;
                stopBTN.Enabled = true;
            }//end if

            /*for (int i = 0; i < 50; i++)
            {
                serialPort1.Write(gretting);
                Console.WriteLine(gretting);
            }*/

        }//End startBTN method

        private void stopBTN_Click(object sender, EventArgs e)
        {
            if (serialPort1.IsOpen)
            {
                serialPort1.Close();
                startBTN.Enabled = true;
                stopBTN.Enabled = false;
            }//End if
        }//End stopBTN method//End Form1_FormClosed method

        private void serialPort1_DataReceived(object sender, SerialDataReceivedEventArgs e)
        {
            if (serialPort1.IsOpen)
            {
                richTextBox1.Text = serialPort1.ReadExisting();
            }//End if
        }//End serialPort1_DataReceived method

        private void Form1_FormClosing(object sender, FormClosingEventArgs e)
        {
            if (serialPort1.IsOpen) serialPort1.Close();
        }//End Form1_FormClosing method

        private void trackBar1_ValueChanged(object sender, EventArgs e)
        {
            int throttle = trackBar1.Value;
            string s_Throttle = throttle.ToString();
            string newline = "\0";
            string msg_Throttle = string.Concat(s_Throttle, newline);
            textBox1.Text = Convert.ToString(trackBar1.Value);

            serialPort1.Write(msg_Throttle); //this works
            //Console.WriteLine(BitConverter.ToString(b_Throttle));
            Console.WriteLine(s_Throttle);
            
        }//End trackBar1_ValueChanged method

        private void Form1_Load(object sender, EventArgs e)
        {
            int throttle = trackBar1.Value;
            textBox1.Text = Convert.ToString(throttle);

        }//End Form1_Load method

        private byte[] Combine(byte[] a, byte[] b)
        {
            byte[] c = new byte[a.Length + b.Length];
            System.Buffer.BlockCopy(a, 0, c, 0, a.Length);
            System.Buffer.BlockCopy(b, 0, c, a.Length, b.Length);
            return c;
        }//End Combine method

    }//End partial class Form1
}//End namespace IMUDisplay
